New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Unconditional argparse dependency #5

Closed
pytoxbot opened this Issue Sep 17, 2016 · 2 comments

Comments

Projects
None yet
1 participant
@pytoxbot

pytoxbot commented Sep 17, 2016

  • Bitbucket: https://bitbucket.org/hpk42/tox/issue/5

  • Originally reported by: Anonymous

  • Originally created at: 2011-06-19T12:14:16.894

    setup.py}}} unconditionally depends on {{{argparse}}}, which is included as of Python 2.7 and 3.2. In order to package tox cleanly, this dependency has to be patched out if the system python is 2.7 or 3.2.
    {{{setup.py

The attached changeset includes the argparse dependency only when required (on Python < 2.6 or on Python 3.0 and 3.1).

@pytoxbot

This comment has been minimized.

pytoxbot commented Sep 17, 2016

Original comment by Anonymous

Thanks :)

@pytoxbot

This comment has been minimized.

pytoxbot commented Sep 17, 2016

Original comment by @hpk42

fixed - you can try with "pip install -i http://pypi.testrun.org tox"

@pytoxbot pytoxbot closed this Sep 17, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment